Bug 53287 - upgrade fails on unusual (notebook) partition table
upgrade fails on unusual (notebook) partition table
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-09-05 21:39 EDT by William Webber
Modified: 2008-01-17 12:49 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 13:48:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description William Webber 2001-09-05 21:39:31 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.4.2-2 i586)

Description of problem:
When upgrading from RH 7.1, I get the warning that my partition table is
"incorrect"
"due probably to another installer or partition program" (paraphrasing),
then when
I press "ignore", I get the error "no linux partitions found", and the
upgrade goes
no further.

I have a "peculiar" suspend-to-disk partition set up by my (Dell)
notebook's
install tools.  fdisk complains about it as follows:

Disk /dev/hda: 240 heads, 63 sectors, 1299 cylinders
Units = cylinders of 15120 * 512 bytes

   Device Boot    Start       End    Blocks   Id  System
/dev/hda1   *         1       407   3076888+  83  Linux
/dev/hda2          1025      1299   2079000    e  Win95 FAT16 (LBA)
/dev/hda3           408      1024   4664520    5  Extended
/dev/hda4          1281      1299    139860   a0  IBM Thinkpad hibernation
Partition 4 does not end on cylinder boundary:
     phys=(1023, 14, 61) should be (1023, 239, 63)
/dev/hda5           408       442    264568+  82  Linux swap
/dev/hda6           443       578   1028128+  83  Linux
/dev/hda7           579       714   1028128+  83  Linux
/dev/hda8           715      1024   2343568+  83  Linux

However, I have not had problems with this when upgrading in the past.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Reboot with Roswell install CD in drive
2. Select "upgrade"
3. When warned about partition table incorrectness, select "ignore"
	

Additional info:
Comment 1 Matt Wilson 2001-09-05 21:57:38 EDT
Which message:

a)

The partition table on hda is inconsistent. There are many reasons why
this might be the case. However, the most likely reason is that Linux
detected the BIOS geometry for hda incorrectly. GNU Parted suspects
the real geometry should be HHH/CC/SS (not hhh/cc/ss).  You should
check with your BIOS first, as this may not be correct.  You can
inform Linux by adding the parameter hda=hhh,cc,ss to the command
line.  See the LILO or GRUB documentation for more information.  If
you think Parted's suggested geometry is correct, you may select
Ignore to continue (and fix Linux later). Otherwise, select Cancel
(and fix Linux and/or the BIOS now).

b)

The partition table on /dev/hda is inconsistent. There are many
reasons why this might be the case. Often, the reason is that Linux
detected the BIOS geometry incorrectly.  However, this does not appear
to be the case here.  It is safe to ignore, but ignoring may cause
(fixable) problems with some boot loaders, and may cause problems with
FAT file systems.  Using LBA is recommended.


c)

Unable to align partition properly.  This probably means that another
partitioning tool generated an incorrect partition table, because it
didn't have the correct BIOS geometry.  It is safe to ignore, but
ignoring may cause (fixable) problems with some boot loaders.





Comment 2 William Webber 2001-09-06 03:07:07 EDT
Apologies for being inexact.

The message is c.), "unable to align partition properly".  The installer then
says
"searching for Linux partitions", then returns with the message "You don't have
any
Linux partitions.  You can't upgrade this system!"

The root shell is working.  If you want any info from this, let me know.

Thanks.
Comment 3 William Webber 2001-09-06 07:49:48 EDT
OK, I've figured it out, parted doesn't handle my partition table at all.  Run
standalone
it complains about "partitions overlapping" or something like that.  It also
gives me
a bogus warning about an incorrect partition table on my other machine, I think
because
the HDD is in LBA mode.  You're not going to be sending me flowers for
suggesting this
at this stage, but perhaps you should revert to using fdisk for detecting
partitions on system
upgrades.  Or at least get some handle on how many laptops with suspend-to-disk
partitions are not going to be upgradeable (installable?) because of parted...
Comment 4 Matt Wilson 2001-09-06 10:46:49 EDT
please go into fdisk and hit 'x' then 'p', and send that output.
Comment 5 William Webber 2001-09-07 02:00:46 EDT
Disk /dev/hda: 240 heads, 63 sectors, 1299 cylinders

Nr AF  Hd Sec  Cyl  Hd Sec  Cyl    Start     Size ID
 1 80   1   1    0 239  63  406       63  6153777 83
 2 00   0   1 1023 239  63 1023 15482880  4158000 0e
 3 00   0   1  407 239  63 1023  6153840  9329040 05
 4 00   0  61 1023  14  61 1023 19361160   279720 a0
Partition 4 does not end on cylinder boundary:
     phys=(1023, 14, 61) should be (1023, 239, 63)
 5 00   1   1  407 239  63  441       63   529137 82
 6 00   1   1  442 239  63  577       63  2056257 83
 7 00   1   1  578 239  63  713       63  2056257 83
 8 00   1   1  714 239  63 1023       63  4687137 83
Comment 6 Matt Wilson 2001-09-07 12:23:57 EDT
And the output of 'parted /dev/hda print'

Comment 7 William Webber 2001-09-09 01:39:36 EDT
Warning: Unable to align partition properly.  This probably means that another
partitioning tool generated an incorrect partition table, because it didn't have
the correct BIOS geometry.
Ignore Cancel ? Ignore
Error: The new partition overlaps with another partition.
Comment 8 Matt Wilson 2002-04-16 17:15:53 EDT
I assume that this didn't go away in 7.2?
Comment 9 Michael Fulbright 2002-05-13 15:19:19 EDT
Closing due to inactivity, please reopen if you have any additional information.
Comment 10 Red Hat Bugzilla 2006-02-21 13:48:08 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.